Arbor 3: FSM & BT Graph Editor 3.7.8

Public Member Functions | List of all members
IComponentProcessor Interface Reference

Interface for Editor processing such as Undo. More...

## Public Member Functions
Component | AddComponent (GameObject gameObject, System.Type type)
| Add component. More...
void | Destroy (Object objectToUndo)
| Destroy object. More...
void | RecordObject (Object objectToUndo, string name)
| Record object. More...
void | RecordObjects (Object[] objs, string name)
| Records object. More...
void | RegisterCompleteObjectUndo (Object objectToUndo, string name)
| Register Object in Undo. More...
void | SetDirty (Object obj)
| Marks an Object as dirty. More...
void | MoveBehaviour (Node node, NodeBehaviour behaviour)
| Move behavior to node. More...
void | MoveParameterContainer (NodeGraph nodeGraph)
| Move the parameter container in the graph. More...
void | MoveVariable (Parameter parameter, VariableBase variable)
| Move variable to parameter. More...
void | MoveVariableList (Parameter parameter, VariableListBase variableList)
| Move variable to parameter. More...
void | DelayDestroy (Object obj)
| Delay Destroy. More...
void | DelayCall (ComponentUtility.DelayCallBack delayCall)
| Delay call. More...

## Detailed Description

Interface for Editor processing such as Undo.

Used with ComponentUtility.

## Member Function Documentation

## ◆ AddComponent()

Component AddComponent | ( | GameObject | gameObject,
|  | System.Type | type
| ) |  |

Add component.

Parameters

  gameObject | GameObject
  type | Component type

Returns
  Component

## ◆ DelayCall()

void DelayCall | ( | ComponentUtility.DelayCallBack | delayCall | ) |

Delay call.

Parameters

  delayCall | Method to call

## ◆ DelayDestroy()

void DelayDestroy | ( | Object | obj | ) |

Delay Destroy.

Parameters

  obj | Object

## ◆ Destroy()

void Destroy | ( | Object | objectToUndo | ) |

Destroy object.

Parameters

  objectToUndo | Object

## ◆ MoveBehaviour()

void MoveBehaviour | ( | Node | node,
|  | NodeBehaviour | behaviour
| ) |  |

Move behavior to node.

Parameters

  node | Moving destination node
  behaviour | Moving NodeBehaviour

## ◆ MoveParameterContainer()

void MoveParameterContainer | ( | NodeGraph | nodeGraph | ) |

Move the parameter container in the graph.

Valid only in Editor.

Parameters

  nodeGraph | Moving graph

## ◆ MoveVariable()

void MoveVariable | ( | Parameter | parameter,
|  | VariableBase | variable
| ) |  |

Move variable to parameter.

Valid only in Editor.

Parameters

  parameter | Moving destination Parameter
  variable | Moving VariableBase

## ◆ MoveVariableList()

void MoveVariableList | ( | Parameter | parameter,
|  | VariableListBase | variableList
| ) |  |

Move variable to parameter.

Valid only in Editor.

Parameters

  parameter | Moving destination Parameter
  variableList | Moving VariableListBase

## ◆ RecordObject()

void RecordObject | ( | Object | objectToUndo,
|  | string | name
| ) |  |

Record object.

Parameters

  objectToUndo | Object
  name | Name

## ◆ RecordObjects()

void RecordObjects | ( | Object[] | objs,
|  | string | name
| ) |  |

Records object.

Parameters

  objs | Objects
  name | Name

## ◆ RegisterCompleteObjectUndo()

void RegisterCompleteObjectUndo | ( | Object | objectToUndo,
|  | string | name
| ) |  |

Register Object in Undo.

Parameters

  objectToUndo | Object
  name | Name

## ◆ SetDirty()

void SetDirty | ( | Object | obj | ) |

Marks an Object as dirty.

Parameters

  obj | Object